Subject: Re: bug#61988: error compiling emacs

From: Eli Zaretskii <[email-masked]>
Date: Tue, 07 Mar 2023 18:21:27 +0200

> Cc: [email-masked], [email-masked]
> Date: Tue, 07 Mar 2023 17:27:59 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > From: "Ugo Tomei" <[email-masked]>
> > Cc: <[email-masked]>,
> > 	<[email-masked]>
> > Date: Tue, 7 Mar 2023 15:34:26 +0100
> > 
> > Ok excuse me i try to explain better now:
> > 
> > I have installed libwebpdecoder3 and in the log I see:
> > 
> > checking for libwebpdemux >= 0.6.0... yes
> 
> That's on the screen.  I asked you to look in the file config.log,
> there should be more details there which hopefully will allow us to
> figure out what went wrong in your case.

Btw, I think I understand what's special about that system: the
libwebpdecoder library is installed if libwebp is built with the
special --enable-libwebpdecoder option.  Maybe we should detect that
separately, and adapt the Makefile to such an installation, because I
think in that case Emacs should be linked _only_ with libwebpdecoder,
not with libwebp itself.